View Issue Details

IDProjectCategoryView StatusLast Update
0002577Far ManagerEditorpublic2014-02-08 15:33
ReporterAidarAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002577: Не работает сдвиг блока для строки с одним символом
DescriptionНеправильно работает сдвиг блока (AltI), если в строке только один символ:
сдвигается не символ, а курсор.
Additional InformationПроверялось на:
FAR 3.0 3627 x86
FAR 3.0 3784 x86
TagsNo tags attached.
Build3800

Activities

Aidar

2014-01-25 12:41

reporter   bugnote:0011778

Обсуждение на форуме (Aidar):
http://forum.farmanager.com/viewtopic.php?f=9&t=3074&sid=b01abd647a4d1ed92e1e9b3e709632a8#p116128

alexy

2014-02-06 16:43

administrator   bugnote:0011819

Вроде так, нет компилятора проверить:

>svn diff
Index: editor.cpp
===================================================================
--- editor.cpp (revision 11415)
+++ editor.cpp (working copy)
@@ -5317,7 +5317,7 @@
                        AddUndoData(UNDO_EDIT,CurStr,CurPtr->GetEOL(),LineNum,0,CurPtr->GetLength()); // EOL? - CurLine->GetEOL() GlobalEOL ""
                        int CurPos=CurPtr->GetCurPos();

- if (Length>1)
+ if (Length>0)
                                CurPtr->SetBinaryString(TmpStr.data(), static_cast<int>(TmpStr.size()));

                        CurPtr->SetCurPos(CurPos+1);

shmuel

2014-02-08 11:34

developer   bugnote:0011820

Проверил, что это сломалось в билде 3662.

DrKnS

2014-02-08 14:44

administrator   bugnote:0011821

3800

Aidar

2014-02-08 15:31

reporter   bugnote:0011822

Исправлено (Far30b3800.x86.20140208).

Issue History

Date Modified Username Field Change
2014-01-25 12:40 Aidar New Issue
2014-01-25 12:41 Aidar Note Added: 0011778
2014-02-06 16:43 alexy Note Added: 0011819
2014-02-08 11:34 shmuel Assigned To => DrKnS
2014-02-08 11:34 shmuel Status new => assigned
2014-02-08 11:34 shmuel Note Added: 0011820
2014-02-08 14:44 DrKnS Note Added: 0011821
2014-02-08 14:44 DrKnS Status assigned => feedback
2014-02-08 15:31 Aidar Note Added: 0011822
2014-02-08 15:31 Aidar Status feedback => assigned
2014-02-08 15:31 Aidar Status assigned => resolved
2014-02-08 15:33 DrKnS Build => 3800
2014-02-08 15:33 DrKnS Status resolved => closed
2014-02-08 15:33 DrKnS Resolution open => fixed
2014-02-08 15:33 DrKnS Fixed in Version => 3.0